import { ChangePasswordDto } from "./dto/change-password.dto";
import { User } from "./entities/user.entity";
import { BaseService } from "../../common";
export declare class UsersService extends BaseService<User> {
    private readonly user;
    private readonly model;
    constructor(user: typeof User, model: User);
    findByUsername(username: string): Promise<any>;
    changePassword(changePasswordDto: ChangePasswordDto, user: any): Promise<unknown>;
}
