"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const core_page_definitions_service_1 = require("./core-page-definitions.service");
const core_page_definitions_controller_1 = require("./core-page-definitions.controller");
const core_page_definitions_providers_1 = require("./core-page-definitions.providers");
const utility_service_1 = require("../../common/service/utility.service");
let CorePageDefinitionsModule = class CorePageDefinitionsModule {
};
CorePageDefinitionsModule = __decorate([
    common_1.Module({
        controllers: [core_page_definitions_controller_1.CorePageDefinitionsController],
        providers: [
            ...core_page_definitions_providers_1.corePageDefinitionsProviders,
            core_page_definitions_service_1.CorePageDefinitionsService,
            utility_service_1.UtilityService,
        ],
        exports: [core_page_definitions_service_1.CorePageDefinitionsService],
    })
], CorePageDefinitionsModule);
exports.CorePageDefinitionsModule = CorePageDefinitionsModule;
