"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const core_menu_roles_service_1 = require("./core-menu-roles.service");
const core_menu_roles_controller_1 = require("./core-menu-roles.controller");
const core_menu_role_providers_1 = require("./core-menu-role.providers");
const core_menus_providers_1 = require("../core-menus/core-menus.providers");
const utility_service_1 = require("../../common/service/utility.service");
const common_2 = require("../../common");
const jwt_strategy_1 = require("../../auth/jwt.strategy");
const user_roles_service_1 = require("../../auth/user-roles/user-roles.service");
const jwt_1 = require("@nestjs/jwt");
const users_providers_1 = require("../../auth/users/users.providers");
const auth_1 = require("./../../auth/");
const user_roles_module_1 = require("./../../auth/user-roles/user-roles.module");
let CoreMenuRolesModule = class CoreMenuRolesModule {
};
CoreMenuRolesModule = __decorate([
    common_1.Module({
        imports: [
            auth_1.AuthModule,
            user_roles_module_1.UserRolesModule,
            jwt_1.JwtModule.register({
                secret: process.env.JWT_SECRET,
            }),
        ],
        controllers: [core_menu_roles_controller_1.CoreMenuRolesController],
        providers: [
            ...core_menu_role_providers_1.coreMenuRolesProviders,
            ...core_menus_providers_1.coreMenuProviders,
            ...users_providers_1.usersProviders,
            core_menu_roles_service_1.CoreMenuRolesService,
            common_2.MomentUtilities,
            jwt_strategy_1.JwtStrategy,
            user_roles_service_1.UserRolesService,
            utility_service_1.UtilityService,
        ],
        exports: [core_menu_roles_service_1.CoreMenuRolesService],
    })
], CoreMenuRolesModule);
exports.CoreMenuRolesModule = CoreMenuRolesModule;
