import { HttpStatus } from "@nestjs/common";
import { CoreMenusService } from "./core-menus.service";
import { CoreMenu } from "./entities/core-menu.entity";
import { BaseController } from "../../common";
import { AuthService } from "../../auth/auth.service";
export declare class CoreMenusController extends BaseController<CoreMenu> {
    private readonly coreMenusService;
    private readonly s;
    private readonly authService;
    constructor(coreMenusService: CoreMenusService, s: CoreMenusService, authService: AuthService);
    getMenus(role_id: number, request: any): Promise<{
        statusCode: HttpStatus;
        message: string;
        result: any;
    } | {
        statusCode: HttpStatus;
        message: string;
        error: any;
    }>;
    restore(id: string): Promise<{
        statusCode: HttpStatus;
        message: string;
        result: unknown;
    } | {
        statusCode: HttpStatus;
        message: string;
        error: any;
    }>;
}
